Subject: bug#41824: Dejagnu's unknown proc aborts testsuite run when triggered in test-case

From: Pedro Alves <[email-masked]>
Date: Sat, 27 Jun 2020 14:15:20 +0100

On 6/27/20 12:40 PM, Pedro Alves wrote:
> We
> have distinct XFAIL vs KFAIL output messages show up in the .sum file (though
> those aren't distinguished in the summary file, doing so would be convenient,
> hence I see that as a GDB testsuite bug).
> 
Sorry, somehow I got confused and thought KFAIL was GDB specific
because AFAIK GCC doesn't use it.  DejaGnu does show the KFAILs separated
in the summary.  I don't why I got confused, I've actually read the kfail code
in DejaGnu before.  Oh well.  The point still stands with DUPLICATE and PATH
output results.  And KFAIL isn't POSIX either, I think?

Thanks,
Pedro Alves